Bug 906323 - (CVE-2013-0215) CVE-2013-0215 xen: oxenstored incorrect handling of certain Xenbus ring states
CVE-2013-0215 xen: oxenstored incorrect handling of certain Xenbus ring states
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20130205,repor...
: Security
Depends On: 907888
Blocks: 906326
  Show dependency treegraph
 
Reported: 2013-01-31 08:20 EST by Petr Matousek
Modified: 2013-03-07 07:31 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Petr Matousek 2013-01-31 08:20:16 EST
The oxenstored daemon (the ocaml version of the xenstore daemon) does
not correctly handle unusual or malicious contents in the xenstore
ring.  A malicious guest can exploit this to cause oxenstored to read
past the end of the ring (and very likely crash) or to allocate large
amounts of RAM.

A malicious guest administrator can mount a denial of service attack
affecting domain control and management functions.

Acknowledgements:

Red Hat would like to thank the Xen project for reporting this issue.
Comment 2 Petr Matousek 2013-01-31 08:26:11 EST
Statement:

This issue did not affect the versions of the xen package as shipped with Red Hat Enterprise Linux 5.
Comment 3 Petr Matousek 2013-02-05 08:29:35 EST
Created xen tracking bugs for this issue

Affects: fedora-all [bug 907888]
Comment 4 Fedora Update System 2013-02-15 20:23:59 EST
xen-4.1.4-4.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2013-02-18 01:49:21 EST
xen-4.2.1-7.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.